Subject: [secdir] SecDir review of draft-ietf-dhc-relay-server-security-03

From: Catherine Meadows <[email-masked]>
Date: Thu, 16 Mar 2017 16:26:39 -0400

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

This brief draft gives requirements for securing relay to really and relay to server communication for DHCPv6 and relay to server communication for DHCPv4.
Previously no  such guidance existed.  The new guidance is that in both cases the draft REQUIRES that communication be IPSec encrypted.

The security considerations section points out the limitations of this document , e.g. it does not address communications between the client and the server or first hop
relay agent.  This section gives some recommendations for security in this case.  It also points out the limitations of some practices that are allowed by the document
but not encouraged, e.g. use of manual keys.  I believe this is a good use of the Security Considerations section for a document of this kind, which recommends a specific
solution to one part of the security problem, but does not attempt to propose a complete security solution. 

I think this document is Ready.

Cathy Meadows

Catherine Meadows
Naval Research Laboratory
Code 5543
4555 Overlook Ave., S.W.
Washington DC, 20375
phone: 202-767-3490
fax: 202-404-7942
email: [email-masked] <mailto:[email-masked]>